curl https://api.truthlocks.com/v1/audit/siem \
-H "X-API-Key: tl_live_..."
{
"items": [
{
"id": "siem_abc123",
"provider": "splunk",
"endpoint": "https://hec.splunk.example.com:8088/services/collector",
"enabled": true,
"created_at": "2026-06-30T12:00:00Z",
"updated_at": "2026-06-30T12:00:00Z",
"status": "active"
},
{
"id": "siem_def456",
"provider": "datadog",
"endpoint": "https://http-intake.logs.datadoghq.com/api/v2/logs",
"enabled": true,
"created_at": "2026-06-28T09:00:00Z",
"updated_at": "2026-06-28T09:00:00Z",
"status": "degraded"
}
]
}
Retrieve all configured SIEM streaming destinations for the authenticated tenant.
{
"items": [
{
"id": "siem_abc123",
"provider": "splunk",
"endpoint": "https://hec.splunk.example.com:8088/services/collector",
"enabled": true,
"created_at": "2026-06-30T12:00:00Z",
"updated_at": "2026-06-30T12:00:00Z",
"status": "active"
},
{
"id": "siem_def456",
"provider": "datadog",
"endpoint": "https://http-intake.logs.datadoghq.com/api/v2/logs",
"enabled": true,
"created_at": "2026-06-28T09:00:00Z",
"updated_at": "2026-06-28T09:00:00Z",
"status": "degraded"
}
]
}
curl https://api.truthlocks.com/v1/audit/siem \
-H "X-API-Key: tl_live_..."